aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/grep.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/grep.sh')
-rw-r--r--sh/profile.d/grep.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/sh/profile.d/grep.sh b/sh/profile.d/grep.sh
index 892351ca..d1ef3ba1 100644
--- a/sh/profile.d/grep.sh
+++ b/sh/profile.d/grep.sh
@@ -13,8 +13,14 @@
# Iterate through some useful options and create files to show they're
# available
- for opt in binary-files color exclude exclude-dir ; do
- grep -q -- --"$opt" "$gcd"/help || continue
+ set -- binary-files \
+ color \
+ devices \
+ directories \
+ exclude \
+ exclude-dir
+ for opt ; do
+ grep -Eq -- --"$opt" "$gcd"/help || continue
touch -- "$gcd"/"$opt" || exit
done
fi